Issue 87163

Summary: Opening particular .xls needs long calculation time with excessive CPU load
Product: Calc Reporter: ccheney <ccheney>
Component: open-importAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Normal    
Priority: P3 CC: amy2008, elish, issues, rainerbielefeld_ooo_qa
Version: OOo 2.4 RC5   
Target Milestone: ---   
Hardware: All   
OS: All   
URL: https://bugs.edge.launchpad.net/ubuntu/+source/openoffice.org/+bug/148148
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description ccheney 2008-03-18 01:18:48 UTC
I could not attach the excel file since it is too big to attach, I have included
the url to it below. After opening the file it takes a while (1.5 min+) on a
Intel C2D (relatively fast CPU) and several hundred MB of ram above normal usage
(415MB total). If you then select the 'Feats' tab it causes OOo to use 100% of
cpu for a unknown long period of time (I eventually killed the process) and the
memory utilization kept climbing and was around 500MB when I finally killed the
process.

http://launchpadlibrarian.net/9677872/Heroforge_5.1.2.7.zip
Comment 1 amy2008 2008-09-02 08:56:16 UTC
Checked it in OOo300_m3_EN on Fedora.
The attached file can be loaded with OOo Calc, it takes about 15 minutes. 
Please check it again.

Li Meiying
Comment 2 ccheney 2008-10-21 05:44:43 UTC
amy2008,

well there is at least a major performance problem here that needs to be
investigated. How much ram did it end up taking for you?
Comment 3 camillem 2008-10-29 23:48:20 UTC
In OOo 300 m9 (Build 9358) under OpenSuse with an Intel Core Duo 2 @2,2 GHz, it
takes 6 minutes 30 to open and eats up 133 Mo of Ram
Comment 4 amy2008 2008-10-30 04:09:15 UTC
Hi ccheney,
So sorry about my late reply.
Checked it in OOo300_m9_zh-CN on ubuntu.
This time, it takes about 11 minutes and eats up 256M ram to open this attached
file. 

Li Meiying
Comment 5 gibi 2009-09-03 10:15:55 UTC
fail to get the Excel files from both URLs (here and @launchpad).
Can you check it?

Thank you.
Comment 6 Rob Weir 2013-02-02 02:56:50 UTC
This Issue requires more information ('needmoreinfo'), but has not been updated
within the last year. Please provide feedback as requested and re-test with the the latest version of OpenOffice - the problem(s) may already be addressed. 

You can download Apache OpenOffice 3.4.1 from http://www.openoffice.org/download

Please report back the outcome of your testing, so this Issue may be closed or
progressed as necessary - otherwise the issue may be Resolved as Invalid in the
future.
Comment 7 Edwin Sharp 2013-08-16 10:30:32 UTC
Rev. 1513819 struggles to open and then not responding.
Opens OK in Excel 2010.
Comment 8 Rainer Bielefeld 2013-10-30 05:19:54 UTC
Reproducible with sample document from link and "AOO 4.0.1   – German UI / German locale  [Rev. 1524958 2013-09-20 11:40:29]" on  German WIN7 Home Premium (64bit)", “historic”  4.0  User Profile used for all  predecessor versions.

Document will be loaded within 1/4 minute or so, but then a long time (several minutes) of "calculating" has to be passed before contents becomes visible.

Not a problem with LibO 4.2, MS EXCEL viewer, SoftMaker FreeOffice

LibO 3.3.3 shows the same problem like AOO, so it seems problem has been fixed for LibO.

I can't tell what in the document causes the problem. Size?, Form Fields? Macros? Something else?

@Edwin Sharp
With what OS did you test?
Comment 9 Edwin Sharp 2013-10-30 05:49:44 UTC
Win 7